immich-go(1)

NAME
immich-go-upload-from-icloud - Upload photos from an iCloud takeout folder or zip file

SYNOPSIS
immich-go upload from-icloud [flags] ...

DESCRIPTION
Upload photos from an iCloud takeout folder or zip file

OPTIONS
--album-path-joiner=" / "
    Specify a string to use when joining multiple folder names to create an album name (e.g. ' ',' - ')

--ban-file='@eaDir/', '@__thumb/', 'SYNOFILETHUMB.', 'Lightroom Catalog/', 'thumbnails/', '.DSStore', '/.*', '.Spotlight-V100/', '.photostructure/', 'Recently Deleted/'
    Exclude a file based on a pattern (case-insensitive). Can be specified multiple times.

--date-from-name[=true]
    Use the date from the filename if the date isn't available in the metadata (Only for jpg, mp4, heic, dng, cr2, cr3, arw, raf, nef, mov)

--date-range=unset
    Only import photos taken within the specified date range

--exclude-extensions=
    Comma-separated list of extension to exclude. (e.g. .gif,.PM) (default: none)

--folder-as-album=NONE
    Import all files in albums defined by the folder structure. Can be set to 'FOLDER' to use the folder name as the album name, or 'PATH' to use the full path as the album name

--folder-as-tags[=false]
    Use the folder structure as tags, (ex: the file holiday/summer 2024/file.jpg will have the tag holiday/summer 2024)

-h, --help[=false]
    help for from-icloud

--ignore-sidecar-files[=false]
    Don't upload sidecar with the photo.

--include-extensions=
    Comma-separated list of extension to include. (e.g. .jpg,.heic) (default: all)

--include-type=
    Single file type to include. (VIDEO or IMAGE) (default: all)

--into-album=""
    Specify an album to import all files into

--memories[=false]
    Import icloud memories as albums

--recursive[=true]
    Explore the folder and all its sub-folders

OPTIONS INHERITED FROM PARENT COMMANDS
--admin-api-key=""
    Admin's API Key for managing server's jobs

-k, --api-key=""
    API Key

--api-trace[=false]
    Enable trace of api calls

--client-timeout=20m0s
    Set server calls timeout

--concurrent-tasks=16
    Number of concurrent tasks (1-20)

--config=""
    config file (default is ./immich-go.yaml)

--device-uuid="framework"
    Set a device UUID

--dry-run[=false]
    Simulate all actions

-l, --log-file=""
    Write log messages into the file

--log-level="INFO"
    Log level (DEBUG|INFO|WARN|ERROR), default INFO

--log-type="text"
    Log formatted as text of JSON file

--manage-burst=NoStack
    Manage burst photos. Possible values: NoStack, Stack, StackKeepRaw, StackKeepJPEG

--manage-epson-fastfoto[=false]
    Manage Epson FastFoto file (default: false)

--manage-heic-jpeg=NoStack
    Manage coupled HEIC and JPEG files. Possible values: NoStack, KeepHeic, KeepJPG, StackCoverHeic, StackCoverJPG

--manage-raw-jpeg=NoStack
    Manage coupled RAW and JPEG files. Possible values: NoStack, KeepRaw, KeepJPG, StackCoverRaw, StackCoverJPG

--no-ui[=false]
    Disable the user interface

--on-errors=stop
    What to do when an error occurs (stop, continue, accept N errors at max)

--overwrite[=false]
    Always overwrite files on the server with local versions

--pause-immich-jobs[=true]
    Pause Immich background jobs during upload operations

--save-config[=false]
    Save the configuration to immich-go.yaml

-s, --server=""
    Immich server address (example http://your-ip:2283 or https://your-domain)

--session-tag[=false]
    Tag uploaded photos with a tag "{immich-go}/YYYY-MM-DD HH-MM-SS"

--skip-verify-ssl[=false]
    Skip SSL verification

--tag=[]
    Add tags to the imported assets. Can be specified multiple times. Hierarchy is supported using a / separator (e.g. 'tag1/subtag1')

--time-zone=""
    Override the system time zone

SEE ALSO
immich-go-upload(1)

HISTORY
28-Mar-2026 Auto generated by spf13/cobra